commit:     385fcdf054085025680b3384a20aff12713c5c21
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sun Nov 15 23:23:07 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Nov 15 23:23:07 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=385fcdf0

mail-filter/libsieve: disable static libs

Closes: https://bugs.gentoo.org/682602
Closes: https://bugs.gentoo.org/724544
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 mail-filter/libsieve/libsieve-2.2.7.ebuild | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

diff --git a/mail-filter/libsieve/libsieve-2.2.7.ebuild 
b/mail-filter/libsieve/libsieve-2.2.7.ebuild
index 828b84ce282..8a912109ef1 100644
--- a/mail-filter/libsieve/libsieve-2.2.7.ebuild
+++ b/mail-filter/libsieve/libsieve-2.2.7.ebuild
@@ -1,8 +1,10 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
+inherit autotools
+
 DESCRIPTION="A library for parsing, sorting and filtering your mail"
 SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
 HOMEPAGE="http://libsieve.sourceforge.net/";
@@ -10,9 +12,22 @@ HOMEPAGE="http://libsieve.sourceforge.net/";
 SLOT="0"
 LICENSE="MIT LGPL-2.1"
 KEYWORDS="~alpha amd64 ~ppc ~sparc x86"
-IUSE=""
 
-DEPEND=""
 RDEPEND="!<net-mail/mailutils-2.1"
 
 S=${WORKDIR}/${P}/src
+
+src_prepare() {
+       default
+       mv configure.{in,ac} || die
+       eautoreconf
+}
+
+src_configure() {
+       econf --disable-static
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to